summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2019-04-10 15:11:57 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2019-04-10 15:11:57 +0200
commit0e93a6d844989cf562a44247226f4d2b640519dc (patch)
tree989ff77805f81cc11700343ace2c64e10176bc91 /www-apps
parentapp-misc/tracker: remove old (diff)
downloadgentoo-0e93a6d844989cf562a44247226f4d2b640519dc.tar.gz
gentoo-0e93a6d844989cf562a44247226f4d2b640519dc.tar.bz2
gentoo-0e93a6d844989cf562a44247226f4d2b640519dc.zip
www-apps/piwigo: 2.9.5 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/piwigo/Manifest1
-rw-r--r--www-apps/piwigo/piwigo-2.9.5.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/www-apps/piwigo/Manifest b/www-apps/piwigo/Manifest
index c613ed398a4..23f388e54d0 100644
--- a/www-apps/piwigo/Manifest
+++ b/www-apps/piwigo/Manifest
@@ -1 +1,2 @@
DIST piwigo-2.9.4.zip 7846445 BLAKE2B 8c8eb7ab0e153ad9665ab3b18b70f5090b2d6545b312b19fcbca6f80b3e017b16bf94271ae071e02c2b8978802adb4e69a287a4e6dedaa728a41d6479765fc57 SHA512 b558700f041402f1fa399d1599ceaca4bb381ba818f189b5dca68a5b09d65416b5cbf2c4f48c8390381cffe98c840d4279c0b57c698ca5a81c0304ecc4a9a80c
+DIST piwigo-2.9.5.zip 7870527 BLAKE2B 6a61f97125d3594d1672d3e9dec29716dff62417c07f0803c576c2cd9636273425342791e97abd7abc8f50dac56ebc4b7843435d75cbb3fd8c29e9723f9a32c7 SHA512 d211a86b40f3a20f406a4bbce87c094bc155b664fe7fb5ec5ab4de6e0bb0228c0c0aa30a04437469ea2360bc72b9e76b265b2811d77aad857fd85eeccb4d30c2
diff --git a/www-apps/piwigo/piwigo-2.9.5.ebuild b/www-apps/piwigo/piwigo-2.9.5.ebuild
new file mode 100644
index 00000000000..56866abb304
--- /dev/null
+++ b/www-apps/piwigo/piwigo-2.9.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit webapp
+
+DESCRIPTION="a photo gallery software for the web"
+HOMEPAGE="http://piwigo.org/"
+SRC_URI="http://piwigo.org/download/dlcounter.php?code=${PV} -> ${P}.zip"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="+exif +gd imagemagick"
+
+DEPEND=""
+RDEPEND="
+ imagemagick? ( virtual/imagemagick-tools )
+ dev-lang/php[ctype,exif?,gd?,filter,iconv,json,mysqli]
+ >=virtual/mysql-5.0
+ virtual/httpd-php"
+
+REQUIRED_USE="|| ( gd imagemagick )"
+
+S=${WORKDIR}/${PN}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+
+ # Local configuration, and parts that can be updated
+ webapp_serverowned "${MY_HTDOCSDIR}"/_data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/galleries
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/language
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/local
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/plugins
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/template-extension
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/themes
+ webapp_serverowned "${MY_HTDOCSDIR}"/upload
+
+ webapp_src_install
+}